<!DOCTYPE html>

<html lang="en">
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width">
	<title>Plait Webview Docs Source: model/views.js</title>

	<!--[if lt IE 9]>
	<script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
	<![endif]-->
	<link type="text/css" rel="stylesheet" href="styles/sunlight.default.css">

	<link type="text/css" rel="stylesheet" href="styles/site.cosmo.css">

</head>

<body>

<div class="navbar navbar-default navbar-fixed-top navbar-inverse">
<div class="container">
	<div class="navbar-header">
		<a class="navbar-brand" href="index.html">Plait Webview Docs</a>
		<button class="navbar-toggle" type="button" data-toggle="collapse" data-target="#topNavigation">
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
			<span class="icon-bar"></span>
        </button>
	</div>
	<div class="navbar-collapse collapse" id="topNavigation">
		<ul class="nav navbar-nav">
			
			<li class="dropdown">
				<a href="namespaces.list.html" class="dropdown-toggle" data-toggle="dropdown">Namespaces<b class="caret"></b></a>
				<ul class="dropdown-menu ">
					<li><a href="socket.html">socket</a></li>
				</ul>
			</li>
			
			<li class="dropdown">
				<a href="classes.list.html" class="dropdown-toggle" data-toggle="dropdown">Classes<b class="caret"></b></a>
				<ul class="dropdown-menu ">
					<li><a href="Control.html">Control</a></li><li><a href="SessionControl.html">SessionControl</a></li><li><a href="Collection.html">Collection</a></li><li><a href="Overview.html">Overview</a></li><li><a href="Plugins.html">Plugins</a></li><li><a href="Editor.html">Editor</a></li><li><a href="FileMenu.html">FileMenu</a></li><li><a href="Form.html">Form</a></li><li><a href="Routing.html">Routing</a></li>
				</ul>
			</li>
			
			<li class="dropdown">
				<a href="global.html" class="dropdown-toggle" data-toggle="dropdown">Global<b class="caret"></b></a>
				<ul class="dropdown-menu ">
					<li><a href="global.html#routing">routing</a></li><li><a href="global.html#control">control</a></li><li><a href="global.html#showSessions">showSessions</a></li><li><a href="global.html#TabButton">TabButton</a></li><li><a href="global.html#CueButton">CueButton</a></li><li><a href="global.html#CueBar">CueBar</a></li><li><a href="global.html#form">form</a></li><li><a href="global.html#editor">editor</a></li><li><a href="global.html#addGame">addGame</a></li><li><a href="global.html#createGame">createGame</a></li><li><a href="global.html#removeGame">removeGame</a></li><li><a href="global.html#inputPrompt">inputPrompt</a></li><li><a href="global.html#confirmation">confirmation</a></li><li><a href="global.html#identifyBrowser">identifyBrowser</a></li><li><a href="global.html#generateUUID">generateUUID</a></li><li><a href="global.html#namespace">namespace</a></li>
				</ul>
			</li>
			
		</ul>
        
            <div class="col-sm-3 col-md-3">
                <form class="navbar-form" role="search">
                    <div class="input-group">
                        <input type="text" class="form-control" placeholder="Search" name="q" id="search-input">
                        <div class="input-group-btn">
                            <button class="btn btn-default" id="search-submit"><i class="glyphicon glyphicon-search"></i></button>
                        </div>
                    </div>
                </form>
            </div>
        
	</div>

</div>
</div>


<div class="container" id="toc-content">
<div class="row">

	
	<div class="col-md-12">
	
		<div id="main">
			

		<h1 class="page-title">Source: model/views.js</h1>
    
<section>
    <article>
        <pre
            class="sunlight-highlight-javascript linenums">/** 
 * @file view
 * @copyright Benedikt Kaffai 2020
 * @license GPLv3
 */

// register custom element definitions under name 'plaiframe'
joint.shapes.plaiframe = {};

joint.shapes.plaiframe.CUE = joint.shapes.standard.HeaderedRectangle.extend(
    {
        defaults: joint.util.deepSupplement(
            {
                type: 'plaiframe.Cue',
                size: { width: 100, height: 100 },
                attrs: {
                    body: {
                        fill: 'rgba(255, 255, 255, 0.02)',
                        stroke: "rgba(50, 195, 185, .9)",
                        strokeWidth: 1.5
                    },
                    header: {
                        // fill: 'rgba(48, 208, 198, 0.7)',
                        fill: "rgba(50, 195, 185, .9)",
                        stroke: "rgba(50, 195, 185, .9)",
                        strokeWidth: 1.5
                    },
                    headerText: { text: 'CUENAME', fontWeight: 'bold' },
                    bodyText: { text: '' },

                },
                ports: {
                    groups: {
                        trigger: {
                            z: 0,
                            position: 'left',
                            markup: [{
                                tagName: 'circle',
                                selector: 'port'
                            }],
                            attrs: {
                                text: { fill: 'black' },
                                port: {
                                    magnet: 'passive',
                                    fill: 'white',
                                    stroke: 'black',
                                    strokeWidth: 1,
                                    r: 5,
                                    // width: 40,
                                    // height: 20,
                                    // x: -20,
                                    // y: -10
                                }
                            }
                        }
                    },
                    items: [
                        {
                            id: 'trigger',
                            group: 'trigger',
                        }
                    ]
                },
            },
            joint.shapes.standard.HeaderedRectangle.prototype.defaults)
    }
);

joint.shapes.plaiframe.ACTION = joint.shapes.standard.HeaderedRectangle.extend(
    {
        defaults: joint.util.deepSupplement(
            {
                type: 'plaiframe.Action',
                size: { width: 275, height: 125 },
                attrs: {
                    body: {
                        fill: `rgba(250, 253, 253, .3)`,
                        stroke: `rgba(85,98,112, .6)`,
                        strokeWidth: .5
                    },
                    header: {
                        // fill: 'white',
                        fill: `rgba(241, 243, 244, .9)`,
                        stroke: `rgba(85,98,112, .6)`,
                        strokeWidth: .5
                    },
                    headerText: { text: 'ACTIONTYPE', fill:`rgba(44, 46, 46, 1)` },
                    bodyText: { text: '', fill:`rgba(44, 46, 46, 1)`   }
                },
                ports: {
                    groups: {
                        next: {
                            z: 0,
                            position: 'right',
                            markup: [{
                                tagName: 'circle',
                                selector: 'port'
                            }],
                            label: {
                                position: {
                                    name: 'outside'
                                }
                            },
                            attrs: {
                                text: { fill: 'black', text: '' },
                                port: {
                                    magnet: 'passive',
                                    fill: 'white',
                                    stroke: `rgba(85,98,112, .6)`,
                                    strokeWidth: 1,
                                    r: 5,
                                }
                            }
                        }
                    },
                    items: []
                },
            },
            joint.shapes.standard.HeaderedRectangle.prototype.defaults)
    }
);

joint.shapes.plaiframe.COMMENT = joint.shapes.standard.HeaderedRectangle.extend(
    {
        defaults: joint.util.deepSupplement(
            {
                type: 'plaiframe.COMMENT',
                size: { width: 275, height: 125 },
                attrs: {
                    body: {
                        fill: `rgba(240, 240, 240, .3)`,
                        stroke: `rgba(85,98,112, .6)`,
                        strokeWidth: .5
                    },
                    header: {
                        fill: `rgba(85,98,112, .3)`,
                        stroke: `rgba(85,98,112, .3)`,
                        strokeWidth: .5
                    },
                    headerText: { text: 'KOMMENTAR', fontWeight: 'bold' },
                    bodyText: {  text: '', fontSize: 14}
                },
                ports: {
                    groups: {
                    },
                    items: [
                    ]
                },
            },
            joint.shapes.standard.HeaderedRectangle.prototype.defaults)
    }
);

joint.shapes.plaiframe.TIMER = joint.shapes.standard.HeaderedRectangle.extend(
    {
        defaults: joint.util.deepSupplement(
            {
                type: 'plaiframe.TIMER',
                size: { width: 275, height: 30 },
                attrs: {
                    body: {
                        fill: `rgba(250, 253, 253, .3)`,
                        stroke: `rgba(85,98,112, .6)`,
                        strokeWidth: .5
                    },
                    header: {
                        fill: `rgba(241, 243, 244, .9)`,
                        stroke: `rgba(85,98,112, .6)`,
                        strokeWidth: .5
                    },
                    headerText: { text: '' },
                    bodyText: { text: '' }
                },
                ports: {
                    groups: {
                        next: {
                            z: 0,
                            position: 'right',
                            markup: [{
                                tagName: 'circle',
                                selector: 'port'
                            }],
                            label: {
                                position: {
                                    name: 'outside'
                                }
                            },
                            attrs: {
                                text: { fill: `rgba(85,98,112, .6)`, text: '' },
                                port: {
                                    magnet: 'passive',
                                    fill: 'white',
                                    stroke: `rgba(85,98,112, .6)`,
                                    strokeWidth: 1,
                                    r: 5,
                                }
                            }
                        }
                    },
                    items: []
                },
            },
            joint.shapes.standard.HeaderedRectangle.prototype.defaults)
    }
);</pre>
    </article>
</section>





		</div>
	</div>

	<div class="clearfix"></div>

	

</div>
</div>


    <div class="modal fade" id="searchResults">
      <div class="modal-dialog">
        <div class="modal-content">
          <div class="modal-header">
            <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
            <h4 class="modal-title">Search results</h4>
          </div>
          <div class="modal-body"></div>
          <div class="modal-footer">
            <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
          </div>
        </div><!-- /.modal-content -->
      </div><!-- /.modal-dialog -->
    </div>


<footer>

	 | <a href='https://plaitools.gitlab.io/documentation/plaiframe/'>Plaiframe Documentation</a> | <a href='https://plaitools.gitlab.io/documentation/plaiframe/plugins/'>Plugin Documentation</a> | <a href='https://gitlab.com/plaitools'>Plaitools on Gitlab</a>


	<span class="copyright">
	© 2020 Lasse Marburg, Benedikt Kaffai
	</span>

<span class="jsdoc-message">
	Documentation generated by <a href="https://github.com/jsdoc3/jsdoc">JSDoc 3.6.4</a>
	
		on Fri Feb 5th 2021
	
	using the <a href="https://github.com/docstrap/docstrap">DocStrap template</a>.
</span>
</footer>

<script src="scripts/docstrap.lib.js"></script>
<script src="scripts/toc.js"></script>

    <script type="text/javascript" src="scripts/fulltext-search-ui.js"></script>


<script>
$( function () {
	$( "[id*='$']" ).each( function () {
		var $this = $( this );

		$this.attr( "id", $this.attr( "id" ).replace( "$", "__" ) );
	} );

	$( ".tutorial-section pre, .readme-section pre, pre.prettyprint.source" ).each( function () {
		var $this = $( this );

		var example = $this.find( "code" );
		exampleText = example.html();
		var lang = /{@lang (.*?)}/.exec( exampleText );
		if ( lang && lang[1] ) {
			exampleText = exampleText.replace( lang[0], "" );
			example.html( exampleText );
			lang = lang[1];
		} else {
			var langClassMatch = example.parent()[0].className.match(/lang\-(\S+)/);
			lang = langClassMatch ? langClassMatch[1] : "javascript";
		}

		if ( lang ) {

			$this
			.addClass( "sunlight-highlight-" + lang )
			.addClass( "linenums" )
			.html( example.html() );

		}
	} );

	Sunlight.highlightAll( {
		lineNumbers : true,
		showMenu : true,
		enableDoclinks : true
	} );

	$.catchAnchorLinks( {
        navbarOffset: 10
	} );
	$( "#toc" ).toc( {
		anchorName  : function ( i, heading, prefix ) {
			return $( heading ).attr( "id" ) || ( prefix + i );
		},
		selectors   : "#toc-content h1,#toc-content h2,#toc-content h3,#toc-content h4",
		showAndHide : false,
		smoothScrolling: true
	} );

	$( "#main span[id^='toc']" ).addClass( "toc-shim" );
	$( '.dropdown-toggle' ).dropdown();

    $( "table" ).each( function () {
      var $this = $( this );
      $this.addClass('table');
    } );

} );
</script>



<!--Navigation and Symbol Display-->


<!--Google Analytics-->



    <script type="text/javascript">
        $(document).ready(function() {
            SearcherDisplay.init();
        });
    </script>


</body>
</html>
